# class ClientDir | A directory. More...
Full name | `TelEngine::ClientDir`
Definition | `#include <yatecbase.h>`
Inherits | TelEngine::ClientFileItem [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline ClientDir (const char* name)
- inline ClientDir (const ClientDir& other)
- inline ObjList& children ()
- inline bool updated () const
- inline void updated (bool on)
- bool treeUpdated () const
- ClientDir* addDir (const String& name)
- ClientDir* addDirPath (const String& path, const char* sep = "/")
- void copyChildren (const ObjList& list)
- void addChildren (ObjList& list)
- bool addChild (ClientFileItem* item)
- ClientFileItem* findChild (const String& path, const char* sep = "/")
- inline ClientFileItem* findChildName (const String& name)
- virtual ClientDir* directory ()

#### Protected Members

- ObjList m_children
- bool m_updated

## Detailed Description

This class holds directory info

inline ClientDir (const char* name) | ### ClientDir

Constructor

Parameters:

name | Directory name

inline ClientDir (const ClientDir& other) | ### ClientDir

Copy constructor. Copy known children types

Parameters:

other | Source object

inline ObjList& children () | ### children

Retrieve the children list

Returns: Children list

inline bool updated () | ### updated

[const]

Check if children were updated

Returns: True if children list was updated

inline void updated (bool on) | ### updated

Set children updated flag

Returns: New value for children updated flag

bool treeUpdated () | ### treeUpdated

[const]

Recursively check if all (sub)directores were updated

Returns: True if all (sub)directores were updated

ClientDir* addDir (const String& name) | ### addDir

Build and add a sub-directory if not have one already Replace an existing file with the same name

Parameters:

name | Directory name

Returns: ClientDir pointer or 0 on failure

ClientDir* addDirPath (const String& path, const char* sep = "/") | ### addDirPath

Build sub directories from path

Parameters:

path | Directory path
sep | Path separator

Returns: ClientDir pointer or 0 on failure

void copyChildren (const ObjList& list) | ### copyChildren

Add a copy of known children types

Parameters:

list | List of ClientFileItem objects to copy

void addChildren (ObjList& list) | ### addChildren

Add a list of children, consume the objects

Parameters:

list | List of ClientFileItem objects to add

bool addChild (ClientFileItem* item) | ### addChild

Add an item. Remove another item with the same name if exists

Parameters:

item | Item to add

Returns: True on success

ClientFileItem* findChild (const String& path, const char* sep = "/") | ### findChild

Find a child by path

Parameters:

path | Item path
sep | Path separator

Returns: ClientFileItem pointer or 0

inline ClientFileItem* findChildName (const String& name) | ### findChildName

Find a child by name

Parameters:

name | Item name

Returns: ClientFileItem pointer or 0

ClientDir* directory () | ### directory

[virtual]

Check if this item is a directory

Returns: ClientDir pointer

Reimplemented from ClientFileItem.

ObjList m_children | ### m_children

[protected]

bool m_updated | ### m_updated

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.